import { Description } from "./Description";
import { Type } from "./type";
/**
 * @hidden
 */
export declare abstract class WebExporterOptionsBaseDescription extends Description {
    static $t: Type;
    protected get_type(): string;
    get type(): string;
    constructor();
    private i;
    get ignoreColumnsVisibility(): boolean;
    set ignoreColumnsVisibility(a: boolean);
    private j;
    get ignoreFiltering(): boolean;
    set ignoreFiltering(a: boolean);
    private h;
    get ignoreColumnsOrder(): boolean;
    set ignoreColumnsOrder(a: boolean);
    private m;
    get ignoreSorting(): boolean;
    set ignoreSorting(a: boolean);
    private k;
    get ignoreGrouping(): boolean;
    set ignoreGrouping(a: boolean);
    private l;
    get ignoreMultiColumnHeaders(): boolean;
    set ignoreMultiColumnHeaders(a: boolean);
    private g;
    get freezeHeaders(): boolean;
    set freezeHeaders(a: boolean);
    private f;
    get alwaysExportHeaders(): boolean;
    set alwaysExportHeaders(a: boolean);
    private v;
    get fileName(): string;
    set fileName(a: string);
}
